<?php
include "excel_reader2.php";
include "../koneksi.php";

if( !isset( $_GET['id'] ) )
{
    if (!isset( $_GET['qty'] )) {
        header('location:stpj.php');
        exit();
    }
    header('location:stpj.php');
    exit();
}

$jumlah1 = $_GET['qty'];
$dok_inc1 = $_GET['id'];

$datasloc = mysqli_query ($koneksi, "SELECT product.SLoc,
                                    plan.MesinID
                              FROM plan
                              INNER JOIN product
                              ON plan.ProductID=product.ProductID
                                WHERE PlanID ='$dok_inc1'");
$row= mysqli_fetch_array($datasloc);
 
// upload file xls
$target = basename($_FILES['berkas_excel']['name']) ;
move_uploaded_file($_FILES['berkas_excel']['tmp_name'], $target);

// beri permisi agar file xls dapat di baca
chmod($_FILES['berkas_excel']['name'],0777);

// mengambil isi file xls
$data = new Spreadsheet_Excel_Reader($_FILES['berkas_excel']['name'],false);
// menghitung jumlah baris data yang ada
$jumlah_baris = $data->rowcount($sheet_index=0);

// jumlah default data yang berhasil di import
$berhasil = 0;
if($row['MesinID']=='2') {
for ($i=3; $i<=$jumlah1+2; $i++){

    // menangkap data dan memasukkan ke variabel sesuai dengan kolumnya masing-masing
    $kode     = $data->val($i, 1);
    $nolot   = $data->val($i, 2);
    $nick   = $data->val($i, 3);
    
     if (!empty($kode)&&!empty($nolot)) {
        if($row['SLoc']==='BOX2') {
            mysqli_query($koneksi,"insert into stpj (STPJ_ID,PlanID,Kode,NoLot,Nick,Qty) values ('','$dok_inc1','$kode','$nolot','',15)");
            $berhasil++;
        } else {
            mysqli_query($koneksi,"insert into stpj (STPJ_ID,PlanID,Kode,NoLot,Nick) values ('','$dok_inc1','$kode','$nolot','$nick')");
            $berhasil++;
        }
    }

}

} else if($row['MesinID']=='1') {
for ($i=3; $i<=$jumlah1+2; $i++){

    // menangkap data dan memasukkan ke variabel sesuai dengan kolumnya masing-masing
    $kode     = $data->val($i, 8);
    $nolot   = $data->val($i, 9);
    $nick   = $data->val($i, 10);
    
        if (!empty($kode)&&!empty($nolot)) {
        if($row['SLoc']==='BOX2') {
            mysqli_query($koneksi,"insert into stpj (STPJ_ID,PlanID,Kode,NoLot,Nick,Qty) values ('','$dok_inc1','$kode','$nolot','',15)");
            $berhasil++;
        } else {
            mysqli_query($koneksi,"insert into stpj (STPJ_ID,PlanID,Kode,NoLot,Nick) values ('','$dok_inc1','$kode','$nolot','$nick')");
            $berhasil++;
        }
    }

}

} else {
    for ($i=3; $i<=$jumlah1+2; $i++){

        // menangkap data dan memasukkan ke variabel sesuai dengan kolumnya masing-masing
        $kode     = $data->val($i, 5);
        $nolot   = $data->val($i, 6);
        
        if (!empty($kode)&&!empty($nolot)) {
            mysqli_query($koneksi,"insert into stpj (STPJ_ID,PlanID,Kode,NoLot) values ('','$dok_inc1','$kode','$nolot')");
            $berhasil++;
        }
    
    }
}

// hapus kembali file .xls yang di upload tadi
unlink($_FILES['berkas_excel']['name']);

header('Location:stpj.php?id='.$dok_inc1.'&qty='.$jumlah1.'');
?>